BaseAlgorithmParameterGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.symmetric.util

## Class BaseAlgorithmParameterGenerator

- java.lang.Object
- - java.security.AlgorithmParameterGeneratorSpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseAlgorithmParameterGenerator

- Direct Known Subclasses:
    AES.AlgParamGen, AES.AlgParamGenCCM, AES.AlgParamGenGCM, Camellia.AlgParamGen, CAST5.AlgParamGen, DES.AlgParamGen, DESede.AlgParamGen, GOST28147.AlgParamGen, IDEA.AlgParamGen, Noekeon.AlgParamGen, RC2.AlgParamGen, RC5.AlgParamGen, RC6.AlgParamGen, SEED.AlgParamGen, Shacal2.AlgParamGen, SM4.AlgParamGen

      public abstract class BaseAlgorithmParameterGenerator
      extends java.security.AlgorithmParameterGeneratorSpi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.security.SecureRandom` | `random`
    `protected int` | `strength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAlgorithmParameterGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.AlgorithmParameters` | `createParametersInstance(java.lang.String algorithm)`
    `protected void` | `engineInit(int strength, java.security.SecureRandom random)`

    - ### Methods inherited from class java.security.AlgorithmParameterGeneratorSpi

      `engineGenerateParameters, engineInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### random

          protected java.security.SecureRandom random

    - #### strength

          protected int strength

  - ### Constructor Detail

    - #### BaseAlgorithmParameterGenerator

          public BaseAlgorithmParameterGenerator()

  - ### Method Detail

    - #### createParametersInstance

          protected final java.security.AlgorithmParameters createParametersInstance(java.lang.String algorithm)
                                                                              throws java.security.NoSuchAlgorithmException,
                                                                                     java.security.NoSuchProviderException

      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### engineInit

          protected void engineInit(int strength,
                        java.security.SecureRandom random)

      Specified by:
        `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`